Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO_Tagged_Profile Class Reference

This class is used to manipulate and access the target address field of a GIOP 1.2 request. More...

`#include <Tagged_Profile.h>`

Collaboration diagram for TAO_Tagged_Profile:

[legend]
List of all members.

## Public Member Functions
| TAO_Tagged_Profile (TAO_ORB_Core *orb_core)
| Ctor.
CORBA::Boolean | unmarshall_target_address (TAO_InputCDR &cdr)
| Unmarshall the GIOP 1.2 target address field.
CORBA::Boolean | unmarshall_object_key (TAO_InputCDR &cdr)
| Unmarshals the received object key for GIOP 1.0/1.1.
TAO::ObjectKey & | object_key (void)
| Return the object key.
void | object_key (TAO::ObjectKey &object_key)
| Save the object key.
const TAO::ObjectKey & | object_key (void) const
| Return a const object key.
const IOP::TaggedProfile & | tagged_profile (void) const
| get the tagged_profile
CORBA::ULong | profile_index (void) const
const ACE_CString & | type_id (void) const
CORBA::Short | discriminator (void) const
## Private Member Functions
CORBA::Boolean | extract_object_key (IOP::TaggedProfile &profile)
CORBA::Boolean | unmarshall_object_key_i (TAO_InputCDR &cdr)
| Unmarshals the received object key.
CORBA::Boolean | unmarshall_iop_profile_i (TAO_InputCDR &cdr)
| Unmarshall the IOP::TaggedProfile.
CORBA::Boolean | unmarshall_ref_addr_i (TAO_InputCDR &cdr)
| Unmarshalls the GIOP::IORAddressingInfo.
## Private Attributes
TAO_ORB_Core * | orb_core_
| Our ORB Core.
CORBA::Short | discriminator_
| Keep track of which kind of target profile that was extracted.
CORBA::Boolean | object_key_extracted_
| Flag to denote whether the object key has been extracted yet.
TAO::ObjectKey | object_key_
| The object key.
IOP::TaggedProfile | profile_
| The Tagged profile. This class would have the Tagged Profile.
CORBA::ULong | profile_index_
ACE_CString | type_id_
## Friends
class | TAO::CSD::FW_Server_Request_Wrapper

## Detailed Description

This class is used to manipulate and access the target address field of a GIOP 1.2 request.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE TAO_Tagged_Profile::TAO_Tagged_Profile | ( | TAO_ORB_Core * | orb_core | ) |

| Ctor.

## Member Function Documentation

ACE_INLINE CORBA::Short TAO_Tagged_Profile::discriminator | ( | void |  | ) | const

TAO_BEGIN_VERSIONED_NAMESPACE_DECL CORBA::Boolean TAO_Tagged_Profile::extract_object_key | ( | IOP::TaggedProfile & | profile | ) | `[private]`

| Extract the object key from the TaggedProfile and store it in <object_key_>

ACE_INLINE const TAO::ObjectKey & TAO_Tagged_Profile::object_key | ( | void |  | ) | const

| Return a const object key.

ACE_INLINE void TAO_Tagged_Profile::object_key | ( | TAO::ObjectKey & | object_key | ) |

| Save the object key.

ACE_INLINE TAO::ObjectKey & TAO_Tagged_Profile::object_key | ( | void |  | ) |

| Return the object key.

ACE_INLINE CORBA::ULong TAO_Tagged_Profile::profile_index | ( | void |  | ) | const

| Get the profile index, that needs to be used in the sequnce of TaggedProfiles contained IOP::IOR that is receivedfrom the client.

ACE_INLINE const IOP::TaggedProfile & TAO_Tagged_Profile::tagged_profile | ( | void |  | ) | const

| get the tagged_profile

ACE_INLINE const ACE_CString & TAO_Tagged_Profile::type_id | ( | void |  | ) | const

| Accessor to the type_id contained in the IOP::IOR received from the client.

CORBA::Boolean TAO_Tagged_Profile::unmarshall_iop_profile_i | ( | TAO_InputCDR & | cdr | ) | `[private]`

| Unmarshall the IOP::TaggedProfile.

CORBA::Boolean TAO_Tagged_Profile::unmarshall_object_key | ( | TAO_InputCDR & | cdr | ) |

| Unmarshals the received object key for GIOP 1.0/1.1.

CORBA::Boolean TAO_Tagged_Profile::unmarshall_object_key_i | ( | TAO_InputCDR & | cdr | ) | `[private]`

| Unmarshals the received object key.

CORBA::Boolean TAO_Tagged_Profile::unmarshall_ref_addr_i | ( | TAO_InputCDR & | cdr | ) | `[private]`

| Unmarshalls the GIOP::IORAddressingInfo.

CORBA::Boolean TAO_Tagged_Profile::unmarshall_target_address | ( | TAO_InputCDR & | cdr | ) |

| Unmarshall the GIOP 1.2 target address field.

## Friends And Related Function Documentation

friend class TAO::CSD::FW_Server_Request_Wrapper`[friend]`

| Declare FW_Server_Request_Wrapper a friend This friendship makes the FW_Server_Request_Wrapper be able to clone the TAO_Tagged_Profile data member in TAO_ServerRequest.

## Member Data Documentation

CORBA::Short TAO_Tagged_Profile::discriminator_`[private]`

| Keep track of which kind of target profile that was extracted.

TAO::ObjectKey TAO_Tagged_Profile::object_key_`[private]`

| The object key.

CORBA::Boolean TAO_Tagged_Profile::object_key_extracted_`[private]`

| Flag to denote whether the object key has been extracted yet.

TAO_ORB_Core* TAO_Tagged_Profile::orb_core_`[private]`

| Our ORB Core.

IOP::TaggedProfile TAO_Tagged_Profile::profile_`[private]`

| The Tagged profile. This class would have the Tagged Profile.

CORBA::ULong TAO_Tagged_Profile::profile_index_`[private]`

| The profile index incase we receive a GIOP::IORAddressingInfo information

ACE_CString TAO_Tagged_Profile::type_id_`[private]`

| The type_id in the IOP::IOR in case we receive the GIOP::IORAddressingInfo information.

The documentation for this class was generated from the following files:

- Tagged_Profile.h
- Tagged_Profile.cpp
- Tagged_Profile.i